全部产品

安装

本文介绍如何安装 PHP SDK。

环境准备

ICE PHP SDK适用于PHP 5.3以上版本,Composer2.0以上版本。本文以PHP 5.6.22为例。

安装SDK

1、源码方式

GitHub中选择相应版本并下载打包好的zip文件。

在解压后的根目录执行composer install

根目录中包含一个autoload.php文件,在代码中引入此文件:

require_once '/path/to/ice-sdk/autoload.php';

2、composer方式

使用composer加载sdk

composer require composer require alibabacloud/ice-20201109

composer.json文件

{
    "require": {
        "alibabacloud/ice-20201109": "^1.0"
    }
}

代码中引入autoload.php

require __DIR__ . '/vendor/autoload.php';